> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Info

> Get detailed information about a member including birthdate

Get detailed information about a specific workspace member including username, display name, avatar, status, description, and birthdate.

## Request

```bash theme={null}
curl -X GET https://api.series.hr/members/info/725105221 \
  -H "apikey: YOUR_API_KEY"
```

## Parameters

<ParamField path="userId" type="string" required>
  The Roblox user ID to get member information for
</ParamField>

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "UserId": "725105221",
      "Username": "vrtualmxrc",
      "DisplayName": "marc",
      "Avatar": "https://tr.rbxcdn.com/30DAY-AvatarHeadshot-23A61E9B45D197A97BE2B8B5E08CC603-Png/420/420/AvatarHeadshot/Png/noFilter",
      "Status": "active",
      "Description": ".",
      "BirthDate": "06-28"
    }
  }
  ```
</ResponseField>

<ResponseField status={401} name="401">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "API key is required"
    }
  }
  ```
</ResponseField>

<ResponseField status={403} name="403">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "API key invalid or workspace suspended"
    }
  }
  ```
</ResponseField>

<ResponseField status={404} name="404">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "User is not a member of this workspace or account not found"
    }
  }
  ```
</ResponseField>

## Response Fields

<ResponseField name="UserId" type="string">
  The Roblox user ID
</ResponseField>

<ResponseField name="Username" type="string">
  The user's Roblox username
</ResponseField>

<ResponseField name="DisplayName" type="string">
  The user's display name
</ResponseField>

<ResponseField name="Avatar" type="string" optional>
  URL to the user's avatar headshot image (if available)
</ResponseField>

<ResponseField name="Status" type="string">
  The user's account status (e.g., "active")
</ResponseField>

<ResponseField name="Description" type="string" optional>
  The user's profile description (if available)
</ResponseField>

<ResponseField name="BirthDate" type="string" optional>
  The user's birth date in MM-DD format (only if set in account). Example: "06-28" for June 28th
</ResponseField>


## OpenAPI

````yaml GET /members/info/{userId}
openapi: 3.0.0
info:
  title: Series API
  version: 1.0.0
  description: >-
    Series API — a free REST API by Sailboat Games, LLC that lets Roblox
    communities programmatically manage workspaces, staff, sessions, time-off
    and activity data.
  contact:
    name: Sailboat Games, LLC.
    email: admin@sailboatgames.com
servers:
  - url: https://api.series.hr
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /members/info/{userId}:
    get:
      tags:
        - Members
      summary: Get Member Info
      description: Get detailed information about a member
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Member information
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Pass your API key in the `apikey` header. Alternatively, the `x-api-key`
        header is also accepted.

````